
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Cassandra数据库的数据类型 / iVAN</title>

    <meta name="description" content="Cassandra数据库的数据类型 数据类型是用来约束插入到字段中的值的. 在关系数据库中,数据类型是在定义表的时候就指定的. 在Cassandra中,字段类型由校验器(validator)和比较器(comparator)来给出,其中validator用来约束字段值的类型,而comparator用来约束字段名的类型. 注:关系数据库和Cassandra中数据类型的定义时间不同.关系数据库中,数据类型必须在定义表结构时候就指定,但是Cassandra不用,因为总是以BytesType的类型存储,可以根据客户端请求来指定用什么类型来对">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Cassandra数据库的数据类型</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>数据类型是用来约束插入到字段中的值的。</p>
<p>在关系数据库中，数据类型是在定义表的时候就指定的。</p>
<p>在Cassandra中，字段类型由校验器(validator)和比较器(comparator)来给出，其中validator用来约束字段值的类型，而comparator用来约束字段名的类型。</p>
<p>注：关系数据库和Cassandra中数据类型的定义时间不同。关系数据库中，数据类型必须在定义表结构时候就指定，但是Cassandra不用，因为总是以BytesType的类型存储，可以根据客户端请求来指定用什么类型来对待这个存储。</p>
<p>Cassandra中基本数据类型：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUswMDRCTy0wLnBuZw==.jpg"></p>
<p>更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/database/extra/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:56:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e6%ae%b5/" title="字段">字段</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/cassandra/" title="Cassandra">Cassandra</a>, <a href="https://www.iamivan.net/tag/%e6%af%94%e8%be%83%e5%99%a8/" title="比较器">比较器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Cassandra数据库的数据类型的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlxlkb.html" rel="bookmark">Cassandra数据库中为集群中的节点手动分配token</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				token 是Cassandra 集群中十分重要的概念,因为他影响着每个节点所管辖的数据的范围:我们就利用程序来生成token然后分配给每个节点: 我们用下面的代码来生成token: #! /usr/bin/python import sys if (len(sys.argv) &gt; 1): num=int(sys.argv[1]) else: num=int(raw_input(&quot;How many nodes are in your cluster? &quot;)) for i in r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8Q1rb.html" rel="bookmark">elasticsearch 如何与cassandra 数据库结合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 elasticsearch 如何与cassandra 数据库结合 elasticsearch 和 cassandra 本人都是初学者, 现在这两块都能够单独运行, 但是不知道如果结合起来. 我在网上有查到elasticsearch 有river插件可以连接数据源, 但是并没有发现river 有支持cassandra 啊,. 所以提问求助, 望高手解囊赐教. 解决方案 https://github.com/srecon/elasticsearch-cassandra-river			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKZxZz.html" rel="bookmark">C&num; 读取oracle数据库long数据类型数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#读取oracle数据库long数据类型数据,为什么最多只能读到100个字,求解,在线等,挺急的 解决方案 解决方案二:鬼知道你写的什么代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqrOekp.html" rel="bookmark">Cassandra数据库&colon;曾被Facebook抛弃 现正帮苹果壮大</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				据&lt;连线&gt;杂志报道,开源分布式NoSQL数据库系统Cassandra最初由Facebook开发,后又被其HBase数据库取代而遭抛弃.可是现在,Cassandra已经成为诸多网络巨头关键的网络基础之一,正帮助苹果等公司发展壮大. 顺势而起 马特·法伊尔(Matt Pfeil)开车从奥斯汀前往圣安东尼奥的一路上,脑子里只想着一件事:阻止乔纳森·埃利斯(Jonathan Ellis)从云计算公司Rackspace辞职.此前,埃利斯曾给包括法伊尔在内的同事发邮件,宣称他将离开Rackspace,创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wNwLp.html" rel="bookmark">Cassandra数据库的基本操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				启动Cassandra之后,我们可以用Cassandra的命令行来执行Cassandra的基本操作: 先启动cassandra-cli 连接到Cassandra服务:(Test Cluster是默认的服务实例,见cassandra.yaml) 创建一个keyspace叫DEMO :(keyspace相当于关系数据库中的数据库) 更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/database/extra/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jkjBb.html" rel="bookmark">Cassandra数据库的数据分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当启动Cassandra集群时,需要选择数据如何在集群中划分,这个由partitioner来完成. Cluster中管理的所有数据被表示成环(ring).环被划分为和节点数量等同的范围(range). 每个节点加入集群时候,都要发放一个令牌(token),它决定了节点在环中的位置以及负责的数据的range. Column Family(也就是对应关系数据库的表)就是按照分区来的. 配置partitioner,则需要指定分区策略: 更多精彩内容:http://www.bianceng.cnhttp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkyRDb.html" rel="bookmark">数据库-sql数据类型decimal&lpar;18&comma; 2&rpar; 转换decimal&lpar;18&comma; 3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 sql数据类型decimal(18, 2) 转换decimal(18, 3) 数据库有个字段是decimal(18, 2)类型,现在需要改成decimal(18, 3) .因为数据库已经有数据了,现在直接修改数据类型会不会造成此字段数据丢失! 解决方案 不会,除非之前的数据整数位&gt;=16位,因为你修改之后的字段整数最大只能存15位,而小数位无任何影响,只是最后一位多了一个0.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1xgkz.html" rel="bookmark">Apache Cassandra数据库的优缺点有哪些？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将超越众所周知的一些细节,探讨与 Cassandra 相关的不太明显的细节.您将检查 Cassandra http://www.aliyun.com/zixun/aggregation/14208.html&quot;&gt;数据模型.存储模式设计.架构,以及与 Cassandra 相关的潜在惊喜. 在数据库历史文章 &quot;What Goes Around Comes Around&quot;中,Michal Stonebraker 详细描述了存储技术是如何随着时间的推移而发展的.实现关系模型之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7NKXM.html" rel="bookmark">oracle数据库xml数据类型详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 的 XML 实现? Oracle 已经通过数据库教程的 XML DB 组件实现了 XML,该组件是企业版和标准版的标准特性.通过数据库配置助手 (DBCA) 或者运行一个目录脚本 catqm.sql,可以轻松安装 Oracle XML DB.XML DB 产品提供本文讨论的所有特性. 要验证是否安装了 XML DB,只需运行下面的 SQL: select comp_name from dba_registry where comp_name like ''%XML%''; COMP			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b281op.html" rel="bookmark" class="title">&period;Net Framework 4&period;0 功能介绍</a>
					<div>
						.Net Framework 4.0 功能介绍 微软发布了 Visual Studio 2010 和 .NET Framework 4.0 的Beta 2测试版,微软往Framework 4.0里又塞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvlgNz.html" rel="bookmark" class="title">CSS高手分享精典技巧</a>
					<div>
						CSS高手分享精典技巧 一.ul标签在Mozilla中默认是有padding值的,而在IE中只有margin有值. 二.同一个的class选择符可以在一个文档中重复出现,而id选择符却只能出现一次.对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdrV6b.html" rel="bookmark" class="title">使用MySQL内建复制功能来最佳化可用性&lpar;一&rpar;</a>
					<div>
						mysql 使用MySQL内建复制功能来最佳化可用性(一) 在Soundbreak我们每天24小时不间断地播放实况音频和视频,所以对于MySQL的新增的复制特性,我们不能做出很令人信服的测试.通过测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8DLNp.html" rel="bookmark" class="title">百度指数也只是一种广告模式</a>
					<div>
						提起百度指数,对于任何站长来说相信已不再陌生.百度指数是用以反映关键词在过去30天内的网络曝光率及用户关注度!这句话只是百度指数的文字概述.对于做SEO的朋友们来说,关注百度指数的确有利于网站的运营发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7j8XM.html" rel="bookmark" class="title">SQL Server中如何用通配符搜索TEXT栏</a>
					<div>
						一个应用Informix数据库的同事需要用通配符搜索TEXT栏.虽然Informix在LIKE与MATCH声明中支持通配符,这一支持并不包括TEXT栏.将数据输出给SQL Server的解决方案明显支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PmoAM.html" rel="bookmark" class="title">J2EE Web服务客户端质量报告&lpar;四&rpar;</a>
					<div>
						客户端服务软件包 通过指引WSDL编译器到应用服务器提供的WSDL上可自动生成客户端服务软件包.这个软件包包含许多类.我们需要修改的唯一类就是客户端Stub类.同样地,服务器Web 服务软件包也包含类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91DQ4M.html" rel="bookmark" class="title">浏览器主页被篡改为毒霸网址大全怎么办</a>
					<div>
						  如您出现这样的现象,可能是在使用过程中,毒霸弹出一个&quot;要不要帮你保护浏览器&quot;之类的提示框,点了之后,访问2345就会出现截图中的现象. 解决方法:在毒霸设置页面,安全保护设置- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNqvmb.html" rel="bookmark" class="title">ppt2007中怎样插入可调进度的视频</a>
					<div>
						  在ppt2007中插入可调进度的视频的方法: 1.首先打开PPT 2.打开PPT后看到菜单栏处,其中有一个菜单就是[视图],单击[视图],会看到[工具栏].然后把鼠标放到[工具栏]这个位置,[工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWJY6p.html" rel="bookmark" class="title">UC浏览器电脑版邀请码怎么抢</a>
					<div>
						  4月1日是愚人节,同时在这一天,UC浏览器电脑版正式登陆地球,巅峰快感,极速来袭,今天上午11点钟,UC浏览器电脑版将限量发放公测邀请码,一码在手,立即体验UC最新最酷的快感&quot;神器&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKddkM.html" rel="bookmark" class="title">Photoshop给图像添加汉字时出现半个汉字怎么办</a>
					<div>
						  这是字库的原因,在使用文鼎字库的时候如果间距没有设置好,就会出现半个汉字的情况.建议用户使用其他中文字体,如方正字库等,这样问题就可以解决. 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk8E5b.html" rel="bookmark" class="title">Win8系统关闭开机自动扫描驱动器的方法</a>
					<div>
						  1.在Win8桌面下按&quot;WIN+R&quot;调出运行对话框,然后输入&quot;regedit&quot;并回车,运行注册表编辑器; 2.然后我们再定位到HKEY_LOCAL_MACH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGLK7p.html" rel="bookmark" class="title">Win7控制面板打不开怎么办呢&quest;</a>
					<div>
						  今天收到某位网友的留言:我的win7电脑,不知道为什么打不开控制面板,请问电脑控制面板打不开怎么办呢? 小编分析:电脑中的控制面板一般是很少出现打不开的情况,万一遇到,请首先进行电脑全盘杀毒!如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWrKGb.html" rel="bookmark" class="title">Win8体验感更好的IE10</a>
					<div>
						  作为系统自带的浏览器,IE仍是目前使用用户最多的浏览器,很多人从Win95开始就在使用IE.在平时的网络浏览中,很多人都习惯使用IE界面的前进.后退老浏览打开过的网页,或者使用新建选项卡打开心的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Gn4p.html" rel="bookmark" class="title">如何禁止win7修改IP地址？</a>
					<div>
						跟大多数用户使用自动获取IP地址不同,有少数的用户必须手动设置IP地址才能进行网络访问或满足特别的需求,而正因如此,防止别人更改你的IP地址也是很重要的,当然你不介意经常重设置的话..那么今天系统盒小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqwxkb.html" rel="bookmark" class="title">struts2&ndash;jsp-struts2在action中获取页面超链接中文参数乱码</a>
					<div>
						问题描述 struts2在action中获取页面超链接中文参数乱码 struts2在action中获取页面超链接中文参数乱码,该如何解决,跪求各位大神 解决方案 在struts 配置文件里加上: &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW27BXb.html" rel="bookmark" class="title">UPUPW K1&period;8 发布 &comma; PHP 全系列同时运行</a>
					<div>
						UPUPW Kangle版全能服务器绿色平台K1.8采用Windows平台下支持IOCP工作模型的Kangle3.5.4为核心制作而成. 支持PHP全系列版本自由切换.同时运行:支持站点绑定PHP任意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPLRmp.html" rel="bookmark" class="title">Spark修炼之道（基础篇）&mdash;&mdash;Linux大数据开发基础：第九节：Shell编程入门&lpar;一&rpar;</a>
					<div>
						本节主要内容 shell编程简介 变量定义 常用特殊变量 1. shell编程简介 学习linux操作系统最让人着迷的事情莫过于shell脚本编程,这是因为如果要完成某些复杂的功能,单纯地通过GUI操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32ka3z.html" rel="bookmark" class="title">jQuery实现网页右下角悬浮层提示</a>
					<div>
						最近有同事提到类似网页右下角的消息悬浮提示框的制作.我之前也做过一个类似的例子,很简单.是仿QQ消息.现在感觉之前的那个例子只是说了实现原理,整体上给你的感觉还是太丑,今天为大家带来一个新的例子.是D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ5a9b.html" rel="bookmark" class="title">dba-一个sql语句是哪个DBA执行的？</a>
					<div>
						问题描述 一个sql语句是哪个DBA执行的? 有10个DBA,每个人执行10条sql语句,有一条sql语句导致数据丢失,用的都是相同的用户和密码,怎么查出那条sql语句是哪个DBA执行的? 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW9KOp.html" rel="bookmark" class="title">TCP连接探测中的Keepalive和心跳包&period; 关键字&colon; tcp keepalive&comma; 心跳&comma; 保活</a>
					<div>
						1. TCP保活的必要性 1) 很多防火墙等对于空闲socket自动关闭 2) 对于非正常断开, 服务器并不能检测到. 为了回收资源, 必须提供一种检测机制.   2. 导致TCP断连的因素 如果网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBV8wM.html" rel="bookmark" class="title">360手机助手安装失败怎么办</a>
					<div>
						  第一: 确保手机的开发者选项中的USB调试已经打开.  第二:最有可能出现的原因,反正我身边的朋友也遇到过类似的情况,USB接口与电脑连接不佳导致的,换个SUB口就好了,还有一些特殊的情况,需要过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKwlDb.html" rel="bookmark" class="title">求解！如何在VS2010里当鼠标停留在一个控件上时改变鼠标显示方式？</a>
					<div>
						问题描述 就是比如在一个自定义的图片上面显示鼠标的&quot;手&quot;的样子,可以点击的样子,求解? 解决方案 解决方案二:设置控件的Cursor属性解决方案三:引用1楼sofant的回复: 设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn94VM.html" rel="bookmark" class="title">全球第二大PC企业联想集团上周股价出现大幅波动</a>
					<div>
						全球第二大PC企业联想集团上周股价出现大幅波动,原因在于市场传闻联想大幅下调2012年个人电脑发货量预测.对此,联想昨日发布声明称,公司未作出任何调低PC出货量的预测.不过,联想昨日仍下跌4.94%, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyOl3z.html" rel="bookmark" class="title">SaltSack入门（三）Salt相关命令和Pillar应用</a>
					<div>
						1.先了解下管理端(master)常用相关命令  1.1 salt     #主要管理命令    命令格式:salt [options]  &lt;target&gt; [arguments]     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEdR5z.html" rel="bookmark" class="title">PHP里8个鲜为人知的PHP安全函数</a>
					<div>
						安全是编程非常重要的一个方面.在任何一种编程语言中,都提供了许多的函数或者模块来确保程序的安全性.在现代网站应用中,经常要获取来自世界各地用户的输入,但是,我们都知道&quot;永远不能相信那些用户输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NgPPz.html" rel="bookmark" class="title">如何判断软件程序是否联网 联网状态提示信息Android实现&lowbar;Android</a>
					<div>
						在项目中,经常需要判断是否有网络连接.最近学习了如何判断软件是否联网,如果没有联网,弹出提示信息,连接网络. 效果: (1)联网情况下:   (2)不联网情况下: (3)点击&quot;检测设置&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYo7rb.html" rel="bookmark" class="title">提高访问量的八种方法</a>
					<div>
						1. 调查在你网页上搞一些小调查,问一个有趣的问题,让访客投票.投票者也许会在明天或下周再来查看调查结果. 2.有奖活动持续的搞一些有奖活动,奖品不必太贵重,只要对你的访客来说稍有用即可.他们会常来看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Yndp.html" rel="bookmark" class="title">简单整理MySQL的日志操作命令&lowbar;Mysql</a>
					<div>
						1.首先确认你日志是否启用了 MySQL&gt;show variables like 'log_bin'; 如果启用了,即ON那日志文件就在MySQL的安装目录的data目录下 2.怎样知道当前的日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkJNQz.html" rel="bookmark" class="title">Python 3 on Visual Studio Code</a>
					<div>
						In VSCode, you need to specify the Workspace that you intend to use to run using particular Python v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqgXLp.html" rel="bookmark" class="title">网页设计-linux环境下访问boa服务器网页图片无法显示</a>
					<div>
						问题描述 linux环境下访问boa服务器网页图片无法显示 单独打开网页文件图片是可以现实的. 通过boa服务器访问ip地址时图片无法显示 这应该不是网页设计问题吧.是什么原因?服务器的问题吗? 解决 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
